##
##  paho.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         paho
Summary:      MQTT Client Library
URL:          https://github.com/eclipse/paho.mqtt.c
Vendor:       Eclipse
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      EPL
Version:      1.3.10
Release:      20220329

#   list of sources
Source0:      https://github.com/eclipse/paho.mqtt.c/archive/v%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, cmake
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  openssl
PreReq:       openssl

%description
    This is the Eclipse Paho MQTT C client library. It enables
    applications to connect to an MQTT broker to publish messages, and
    to subscribe to topics and receive published messages. Synchronous
    and various asynchronous programming models are supported.

%track
    prog paho = {
        version   = %{version}
        url       = https://github.com/eclipse/paho.mqtt.c/releases
        regex     = v(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n paho.mqtt.c-%{version}

%build
    mkdir build
    cd build
    cmake \
        -Wno-dev \
        -DCMAKE_BUILD_TYPE="Release" \
        -DCMAKE_INSTALL_PREFIX="%{l_prefix}" \
        -DCMAKE_C_COMPILER="%{l_cc}" \
        -DCMAKE_C_FLAGS="%{l_cflags} %{l_cppflags}" \
        -DCMAKE_EXE_LINKER_FLAGS="%{l_ldflags}" \
        -DPAHO_WITH_SSL=TRUE \
        -DPAHO_BUILD_SHARED=FALSE \
        -DPAHO_BUILD_STATIC=TRUE \
        -DPAHO_BUILD_DOCUMENTATION=FALSE \
        -DPAHO_BUILD_SAMPLES=FALSE \
        -DPAHO_BUILD_DEB_PACKAGE=FALSE \
        -DPAHO_ENABLE_TESTING=FALSE \
        -DPAHO_ENABLE_CPACK=FALSE \
        ..
    %{l_make} %{l_mflags}

%install
    (   cd build || exit $?
        %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    ) || exit $?
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

